Index: branches/2.2/setup/templates/default/manageheader.tpl
===================================================================
--- branches/2.2/setup/templates/default/manageheader.tpl	(revision 3295)
+++ branches/2.2/setup/templates/default/manageheader.tpl	(revision 3304)
@@ -26,9 +26,9 @@
 		document.getElementById('cripto_0').checked = true;
 	}
-	if(xdiv.id == "certificado" || xdiv.id == "criptografia" || xdiv.id == "cripto_options") {
-		var xdiv = document.getElementById('cripto_options');
+	if(xdiv.id == "certificado" || xdiv.id == "criptografia" ) {
+		var xdiv = document.getElementById('criptografiax');
 		document.getElementById('maxcerttxt').value = 0;
-		document.getElementById('atributoexpiracaotxt').value = '';
-		document.getElementById('atributousuarios').value = '';		
+		//document.getElementById('atributoexpiracaotxt').value = '';
+		//document.getElementById('atributousuarios').value = '';
 	}
 	if(xdiv.id == "badlogin") {
@@ -43,6 +43,6 @@
 	if(xdiv.id == "cripto_options") {
 		document.getElementById('maxcerttxt').value = '10';
-		document.getElementById('atributoexpiracaotxt').value = 'phpgwlastpasswdchange';
-		document.getElementById('atributousuarios').value = '';		
+		//document.getElementById('atributoexpiracaotxt').value = 'phpgwlastpasswdchange';
+		//document.getElementById('atributousuarios').value = '';
 	}
 	if(xdiv.id == "badlogin") {
@@ -178,15 +178,16 @@
 		<INPUT type="radio"{use_https_2} name="setting[use_https]" value="2" onclick="javascript:exibir('certificado')" >Usar HTTPS no Site inteiro.<BR>	
   	</td></tr>
-	<tr><td colspan="2">	
+	<tr><td colspan="2">
+           <div id="certificado" {div_cert}>
 	<table>
 	<tr><td colspan="2"><b>Usar Certificado Digital (para identificar o usuario no processo de login)?</b></td></tr>
   	<tr><td colspan="2">
 	          <font color='red'>Obs.: Para habilitar este item o uso do HTTPS deve ter sido habilitado.</font><br>
-		<INPUT id="cert_0" type="radio" {certificado_0} name="setting[certificado]" onclick="javascript:ocultar('criptografia')" value="0" >N&Atilde;O Usar Certificado Digital.<BR>
-		<div id="certificado" {div_cert}>
-		<INPUT id="cert_1" type="radio" {certificado_1} name="setting[certificado]" onclick="javascript:exibir('criptografia')" value="1">Usar Certificado Digital.</div><BR>
+		<INPUT id="cert_0" type="radio" {certificado_0} name="setting[certificado]" onclick="javascript:ocultar('criptografiax')" value="0" >N&Atilde;O Usar Certificado Digital.<BR>
+		
+		<INPUT id="cert_1" type="radio" {certificado_1} name="setting[certificado]" onclick="javascript:exibir('criptografiax')" value="1">Usar Certificado Digital.<BR>
   	</td></tr>
 	</table>
-	
+	</div>
 
 	</td></tr>
@@ -194,5 +195,5 @@
 	</fieldset>
 	</td></tr>
-	<tr><td colspan="2">
+	<tr><td colspan="2"><div id="criptografiax" {div_criptox} >
 	<fieldset><legend>Criptografia e Assinatura Digital</legend>
 	<table>
@@ -203,5 +204,5 @@
 	<tr><td colspan="2">       
 		<INPUT id='cripto_0' onclick="javascript:ocultar('cripto_options')" type="radio" {use_assinar_criptografar_0} name="setting[use_assinar_criptografar]" value="0"  />N&Atilde;O habilitar.<BR>
-		<div id="criptografia" {div_cripto}><INPUT id='cripto_1' onclick="javascript:exibir('cripto_options')" type="radio" {use_assinar_criptografar_1} name="setting[use_assinar_criptografar]" value="1" />Habilitar.</div><BR>
+		<div id="criptografia" ><INPUT id='cripto_1' onclick="javascript:exibir('cripto_options')" type="radio" {use_assinar_criptografar_1} name="setting[use_assinar_criptografar]" value="1" />Habilitar.</div><BR>
 	</td></tr>
 	<tr><td colspan="2">
@@ -210,7 +211,16 @@
 			<tr><td colspan="2">
 				<b>Numero maximo de destinatarios para uma mensagem cifrada<br><INPUT type="text" maxlength="2" size="3" name="setting[num_max_certs_to_cipher]" id="maxcerttxt" value="{num_max_certs_to_cipher}" onkeypress="return soNumero(this, event);"></td></tr>
+		</table>		
+  	</div>
+        </td></tr>
+	</table>
+	</fieldset></div>
+   </td></tr>
+   <tr><td colspan="2">
+	<fieldset><legend> Contrôle da senha</legend>
+	<table>
 			<tr><td nowrap>
 				<b>Nome do atributo , no ldap, para controle de expiracao da senhas</b>
-			</td></tr>	
+			</td></tr>
 			<tr><td>
 				<INPUT type="text" maxlength="50" size="40" name="setting[atributoexpiracao]" id="atributoexpiracaotxt" value="{atributoexpiracao}" >
@@ -218,13 +228,11 @@
 			<tr><td nowrap>
 				<b>Classe ldap utilizada para identificar os usuarios</b>
-			</td></tr>	
+			</td></tr>
 			<tr><td>
 				<INPUT type="text" maxlength="50" size="40" name="setting[atributousuarios]" id="atributousuarios" value="{atributousuarios}" >
 			</td></tr>
-		</table>		
-  	</div></td></tr>
-	</table>
-	</fieldset>
-   </td></tr>
+</table>
+</fieldset>
+</td></tr>
    <tr><td colspan="2">
 	<fieldset><legend> Anti-Robo</legend>