Index: /branches/2.2/jabberit_messenger/jmessenger/js/trophyim.mini.js
===================================================================
--- /branches/2.2/jabberit_messenger/jmessenger/js/trophyim.mini.js	(revision 3317)
+++ /branches/2.2/jabberit_messenger/jmessenger/js/trophyim.mini.js	(revision 3320)
@@ -352,5 +352,5 @@
 {if(arguments.length>0)
 {var jidTo=arguments[0];var message_input=arguments[1];message_input=message_input.replace(/^\s+|\s+$|^\n|\n$/g,"");if(message_input!=""){var newMessage=$msg({to:jidTo,from:TrophyIM.connection.jid,type:'chat'});newMessage=newMessage.c('body').t(message_input);newMessage.up();newMessage=newMessage.c('active').attrs({xmlns:'http://jabber.org/protocol/chatstates'});TrophyIM.connection.send(newMessage.tree());return true;}}
-return false;},sendMessageChatRoom:function(room)
+return false;},sendMessageChatRoom:function()
 {if(arguments.length>0)
 {var room_nick=arguments[0];var message=arguments[1];var msgid=TrophyIM.connection.getUniqueId();var msg=$msg({to:room_nick,type:"groupchat",id:msgid}).c("body",{xmlns:Strophe.NS.CLIENT}).t(message);msg.up();TrophyIM.connection.send(msg);return true;}},sendContentMessage:function()
Index: /branches/2.2/jabberit_messenger/jmessenger/js/trophyim.js
===================================================================
--- /branches/2.2/jabberit_messenger/jmessenger/js/trophyim.js	(revision 3317)
+++ /branches/2.2/jabberit_messenger/jmessenger/js/trophyim.js	(revision 3320)
@@ -1977,9 +1977,9 @@
     */
     
-    sendMessageChatRoom : function( room )
+    sendMessageChatRoom : function( )
     {
     	if( arguments.length > 0 ) 
     	{
-	    	var room_nick	= arguments[0];
+    		var room_nick	= arguments[0];
 	    	var message		= arguments[1];
 	        var msgid		= TrophyIM.connection.getUniqueId();
Index: /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js
===================================================================
--- /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3308)
+++ /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3320)
@@ -415,4 +415,5 @@
 		String = String.replace( /\(I\)/g		, " <img src='"+path_jabberit+"templates/default/images/smiles/15.gif'/> ");
 		String = String.replace( /C28I/g		, " <img src='"+path_jabberit+"templates/default/images/smiles/16.gif'/> ");
+		String = String.replace( /CS2A/g		, " <img src='"+path_jabberit+"templates/default/images/smiles/17.gif' style='width:42px;height:36px;'/> ");
  
 		return String;
@@ -1459,9 +1460,12 @@
 			   	_prompt = _prompt.replace(/^\s+|\s+$|^\n|\n$/g,"");
 			    
-			    var room_nick = append_nick( jidRoom, nickName );	
+			    var room_nick 	= append_nick( jidRoom, nickName );
+			    
+			    var nickChat	= nickName.toString();
 			    	
 			    if( _prompt && _prompt != "" )
 			    {
-			    	var room_nick = append_nick( jidRoom, _prompt );
+			    	nickChat		= _prompt.toString();
+			    	var room_nick	= append_nick( jidRoom, _prompt );
 			    }
 			    
@@ -1471,4 +1475,13 @@
 			    
 			    TrophyIM.joinChatRoom( room_nick);
+			 
+			    setTimeout(function()
+			    {
+			    	var _message	=  nickName.toUpperCase() + " entrou como : "  + nickChat;
+				   
+				    TrophyIM.sendMessageChatRoom( jidRoom , _message );
+				    
+			    }, 500);
+			    
 		    }
 	    }
Index: /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js
===================================================================
--- /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 3308)
+++ /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 3320)
@@ -95,5 +95,5 @@
 return true;}
 function getSmiles(String)
-{String=String.replace(/:\)|:-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/1.gif'/> ");String=String.replace(/:-D/g," <img src='"+path_jabberit+"templates/default/images/smiles/2.gif'/> ");String=String.replace(/;-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/3.gif'/> ");String=String.replace(/=-O/g," <img src='"+path_jabberit+"templates/default/images/smiles/4.gif'/> ");String=String.replace(/:P/g," <img src='"+path_jabberit+"templates/default/images/smiles/5.gif'/> ");String=String.replace(/8-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/6.gif'/> ");String=String.replace(/\>:o/g," <img src='"+path_jabberit+"templates/default/images/smiles/7.gif'/> ");String=String.replace(/:-\$/g," <img src='"+path_jabberit+"templates/default/images/smiles/8.gif'/> ");String=String.replace(/:s|:-X/g," <img src='"+path_jabberit+"templates/default/images/smiles/9.gif'/> ");String=String.replace(/:-\(/g," <img src='"+path_jabberit+"templates/default/images/smiles/10.gif'/> ");String=String.replace(/:\'\(/g," <img src='"+path_jabberit+"templates/default/images/smiles/11.gif'/> ");String=String.replace(/:\|/g," <img src='"+path_jabberit+"templates/default/images/smiles/12.gif'/> ");String=String.replace(/O:-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/13.gif'/> ");String=String.replace(/\*\*@#%/g," <img src='"+path_jabberit+"templates/default/images/smiles/14.gif'/> ");String=String.replace(/\(I\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/15.gif'/> ");String=String.replace(/C28I/g," <img src='"+path_jabberit+"templates/default/images/smiles/16.gif'/> ");return String;}
+{String=String.replace(/:\)|:-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/1.gif'/> ");String=String.replace(/:-D/g," <img src='"+path_jabberit+"templates/default/images/smiles/2.gif'/> ");String=String.replace(/;-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/3.gif'/> ");String=String.replace(/=-O/g," <img src='"+path_jabberit+"templates/default/images/smiles/4.gif'/> ");String=String.replace(/:P/g," <img src='"+path_jabberit+"templates/default/images/smiles/5.gif'/> ");String=String.replace(/8-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/6.gif'/> ");String=String.replace(/\>:o/g," <img src='"+path_jabberit+"templates/default/images/smiles/7.gif'/> ");String=String.replace(/:-\$/g," <img src='"+path_jabberit+"templates/default/images/smiles/8.gif'/> ");String=String.replace(/:s|:-X/g," <img src='"+path_jabberit+"templates/default/images/smiles/9.gif'/> ");String=String.replace(/:-\(/g," <img src='"+path_jabberit+"templates/default/images/smiles/10.gif'/> ");String=String.replace(/:\'\(/g," <img src='"+path_jabberit+"templates/default/images/smiles/11.gif'/> ");String=String.replace(/:\|/g," <img src='"+path_jabberit+"templates/default/images/smiles/12.gif'/> ");String=String.replace(/O:-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/13.gif'/> ");String=String.replace(/\*\*@#%/g," <img src='"+path_jabberit+"templates/default/images/smiles/14.gif'/> ");String=String.replace(/\(I\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/15.gif'/> ");String=String.replace(/C28I/g," <img src='"+path_jabberit+"templates/default/images/smiles/16.gif'/> ");String=String.replace(/CS2A/g," <img src='"+path_jabberit+"templates/default/images/smiles/17.gif' style='width:42px;height:36px;'/> ");return String;}
 function getStatusUserIM()
 {return statusUserIM;}
@@ -309,7 +309,8 @@
 else
 {var nickName=Base64.decode(loadscript.getUserCurrent().jid);nickName=nickName.substring(0,nickName.indexOf('@'));var _prompt=prompt("Deseja informar um Apelido ?",nickName);if(_prompt)
-{_prompt=_prompt.replace(/^\s+|\s+$|^\n|\n$/g,"");var room_nick=append_nick(jidRoom,nickName);if(_prompt&&_prompt!="")
-{var room_nick=append_nick(jidRoom,_prompt);}
-TrophyIM.makeChatRoom(jidRoom,nameRoom);TrophyIM.activeChatRoom.name[TrophyIM.activeChatRoom.name.length]=room_nick;TrophyIM.joinChatRoom(room_nick);}}
+{_prompt=_prompt.replace(/^\s+|\s+$|^\n|\n$/g,"");var room_nick=append_nick(jidRoom,nickName);var nickChat=nickName.toString();if(_prompt&&_prompt!="")
+{nickChat=_prompt.toString();var room_nick=append_nick(jidRoom,_prompt);}
+TrophyIM.makeChatRoom(jidRoom,nameRoom);TrophyIM.activeChatRoom.name[TrophyIM.activeChatRoom.name.length]=room_nick;TrophyIM.joinChatRoom(room_nick);setTimeout(function()
+{var _message=nickName.toUpperCase()+" entrou como : "+nickChat;TrophyIM.sendMessageChatRoom(jidRoom,_message);},500);}}
 _winBuild("window_List_Rooms_jabberit_messenger","remove");}
 function loadIM()