Index: /branches/2.0/phpgwapi/setup/setup.inc.php
===================================================================
--- /branches/2.0/phpgwapi/setup/setup.inc.php	(revision 3150)
+++ /branches/2.0/phpgwapi/setup/setup.inc.php	(revision 3321)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'phpgwapi';
-	$setup_info['phpgwapi']['version']   = '2.0.008';
+	$setup_info['phpgwapi']['version']   = '2.0.009';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.0.1';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /branches/2.0/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /branches/2.0/phpgwapi/setup/tables_update.inc.php	(revision 3150)
+++ /branches/2.0/phpgwapi/setup/tables_update.inc.php	(revision 3321)
@@ -1715,3 +1715,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}	
+	$test[] = '2.0.008';
+	function phpgwapi_upgrade2_0_008()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.009';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: /branches/2.0/admin/setup/setup.inc.php
===================================================================
--- /branches/2.0/admin/setup/setup.inc.php	(revision 1957)
+++ /branches/2.0/admin/setup/setup.inc.php	(revision 3321)
@@ -12,5 +12,5 @@
 
 	$setup_info['admin']['name']      = 'admin';
-	$setup_info['admin']['version']   = '2.0.002';
+	$setup_info['admin']['version']   = '2.0.003';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
Index: /branches/2.0/contactcenter/setup/tables_update.inc.php
===================================================================
--- /branches/2.0/contactcenter/setup/tables_update.inc.php	(revision 3150)
+++ /branches/2.0/contactcenter/setup/tables_update.inc.php	(revision 3321)
@@ -141,3 +141,8 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}	
+	$test[] = '2.0.003';
+	function contactcenter_upgrade2_0_003() {
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.0.004';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}
 ?>
Index: /branches/2.0/contactcenter/setup/setup.inc.php
===================================================================
--- /branches/2.0/contactcenter/setup/setup.inc.php	(revision 3150)
+++ /branches/2.0/contactcenter/setup/setup.inc.php	(revision 3321)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.0.003';
+	$setup_info['contactcenter']['version']   = '2.0.004';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
Index: /branches/2.0/calendar/setup/setup.inc.php
===================================================================
--- /branches/2.0/calendar/setup/setup.inc.php	(revision 3150)
+++ /branches/2.0/calendar/setup/setup.inc.php	(revision 3321)
@@ -12,5 +12,5 @@
 
 	$setup_info['calendar']['name']    = 'calendar';
-	$setup_info['calendar']['version'] = '2.0.006';
+	$setup_info['calendar']['version'] = '2.0.007';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
Index: /branches/2.0/calendar/setup/tables_update.inc.php
===================================================================
--- /branches/2.0/calendar/setup/tables_update.inc.php	(revision 3150)
+++ /branches/2.0/calendar/setup/tables_update.inc.php	(revision 3321)
@@ -99,3 +99,9 @@
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}	
+	$test[] = '2.0.006';
+	function calendar_upgrade2_0_006()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.007';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
 ?>
Index: /branches/2.0/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /branches/2.0/expressoMail1_2/setup/tables_update.inc.php	(revision 3150)
+++ /branches/2.0/expressoMail1_2/setup/tables_update.inc.php	(revision 3321)
@@ -133,3 +133,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}	
+	$test[] = '2.0.008';
+	function expressoMail1_2_upgrade2_0_008() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.009';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
 ?>
Index: /branches/2.0/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /branches/2.0/expressoMail1_2/setup/setup.inc.php	(revision 3150)
+++ /branches/2.0/expressoMail1_2/setup/setup.inc.php	(revision 3321)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.0.008';
+	$setup_info['expressoMail1_2']['version']   	= '2.0.009';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';