Index: branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php	(revision 3261)
+++ branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php	(revision 3326)
@@ -3,5 +3,4 @@
   *  Expresso - Expresso Messenger                                            *
   *  	- Alexandre Correia / Rodrigo Souza							          *
-  *  	- JETI - http://jeti-im.org/										  *
   * ------------------------------------------------------------------------- *
   *  This program is free software; you can redistribute it and/or modify it  *
Index: branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_sessions.inc.php
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_sessions.inc.php	(revision 3102)
+++ branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_sessions.inc.php	(revision 3326)
@@ -4,5 +4,4 @@
   *  Expresso - Expresso Messenger                                            *
   *  	- Alexandre Correia / Rodrigo Souza							          *
-  *  	- JETI - http://jeti-im.org/										  *
   * ------------------------------------------------------------------------- *
   *  This program is free software; you can redistribute it and/or modify it  *
Index: branches/2.2/jabberit_messenger/jmessenger/inc/preferences.php
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/inc/preferences.php	(revision 3102)
+++ branches/2.2/jabberit_messenger/jmessenger/inc/preferences.php	(revision 3326)
@@ -4,5 +4,4 @@
   *  Expresso - Expresso Messenger                                            *
   *  	- Alexandre Correia / Rodrigo Souza							          *
-  *  	- JETI - http://jeti-im.org/										  *
   * ------------------------------------------------------------------------- *
   *  This program is free software; you can redistribute it and/or modify it  *
Index: branches/2.2/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php	(revision 3260)
+++ branches/2.2/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php	(revision 3326)
@@ -3,5 +3,4 @@
   *  Expresso - Expresso Messenger                                            *
   *  	- Alexandre Correia / Rodrigo Souza							          *
-  *  	- JETI - http://jeti-im.org/										  *
   * ------------------------------------------------------------------------- *
   *  This program is free software; you can redistribute it and/or modify it  *
Index: branches/2.2/jabberit_messenger/jmessenger/inc/attributeLdap.php
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/inc/attributeLdap.php	(revision 3102)
+++ branches/2.2/jabberit_messenger/jmessenger/inc/attributeLdap.php	(revision 3326)
@@ -4,5 +4,4 @@
   *  Expresso - Expresso Messenger                                            *
   *  	- Alexandre Correia / Rodrigo Souza							          *
-  *  	- JETI - http://jeti-im.org/										  *
   * ------------------------------------------------------------------------- *
   *  This program is free software; you can redistribute it and/or modify it  *
Index: branches/2.2/jabberit_messenger/jmessenger/inc/preferencesJMessenger.php
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/inc/preferencesJMessenger.php	(revision 3102)
+++ branches/2.2/jabberit_messenger/jmessenger/inc/preferencesJMessenger.php	(revision 3326)
@@ -3,5 +3,4 @@
   *  Expresso - Expresso Messenger                                            *
   *  	- Alexandre Correia / Rodrigo Souza							          *
-  *  	- JETI - http://jeti-im.org/										  *
   * ------------------------------------------------------------------------- *
   *  This program is free software; you can redistribute it and/or modify it  *
Index: branches/2.2/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php	(revision 3102)
+++ branches/2.2/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php	(revision 3326)
@@ -3,5 +3,4 @@
   *  Expresso - Expresso Messenger                                            *
   *  	- Alexandre Correia / Rodrigo Souza							          *
-  *  	- JETI - http://jeti-im.org/										  *
   * ------------------------------------------------------------------------- *
   *  This program is free software; you can redistribute it and/or modify it  *