Index: /trunk/expressoAdmin1_2/js/jscode/shared_accounts.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/shared_accounts.js	(revision 3354)
+++ /trunk/expressoAdmin1_2/js/jscode/shared_accounts.js	(revision 3358)
@@ -200,4 +200,6 @@
 		Element('em_input_writeAcl').checked = false;
 		Element('em_input_sendAcl').checked = false;
+		Element('em_input_saveAcl').checked = false;
+		Element('em_input_folderAcl').checked = false;
         Element('em_input_sendAcl').disabled = true;
         select_owners = Element('ea_select_owners');
@@ -305,4 +307,5 @@
                 Element('em_input_sendAcl').disabled = true;
                 Element('em_input_saveAcl').disabled = true;
+                Element('em_input_folderAcl').disabled = true;
             }
 
@@ -432,4 +435,5 @@
 		Element('em_input_saveAcl').checked = false;
 		Element('em_input_saveAcl').disabled = true;
+		Element('em_input_folderAcl').checked = false;
 		
 		if (this.ownersAcl[user] != "false" && this.ownersAcl[user].indexOf('lrs',0) >= 0)
@@ -459,4 +463,8 @@
 			Element('em_input_saveAcl').checked = true;
 		}
+		if (this.ownersAcl[user] != "false" && this.ownersAcl[user].indexOf('c',0) >= 0)
+		{
+			Element('em_input_folderAcl').checked = true;
+		}
 		if( this.ownersAcl[user] != "false" && Element('em_input_writeAcl').checked && Element('em_input_sendAcl').checked ){
 			Element('em_input_saveAcl').disabled = false;
@@ -492,4 +500,7 @@
 		if (Element('em_input_sendAcl').checked)
 			acl += 'a';
+		
+		if (Element('em_input_folderAcl').checked)
+			acl += 'c';
 				
 		if (Element('em_input_sendAcl').checked && Element('em_input_writeAcl').checked){
@@ -563,4 +574,5 @@
 		Element('em_input_sendAcl').checked = false;
 		Element('em_input_saveAcl').checked = false;
+		Element('em_input_folderAcl').checked = false;
 	}
 	
Index: /trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl	(revision 1991)
+++ /trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl	(revision 3358)
@@ -31,6 +31,6 @@
                         <input type="text" id="mailquota" name="mailquota" autocomplete="off" value="{mailquota}" {changequote_disabled} {disabled} size=16><br>
                         <div  id='quota_used_field' name='quota_used_field' style="display:{display_quota_used}">{lang_quota_used_in_mb}:
-                        <input type="text" name="mailquota_used" id="mailquota_used" value="{mailquota_used}" disabled size=10><br></div>
-                        <div id='display_empty_inbox' name='display_empty_inbox' style="display:none"><input type='button' {disabled} {disabled_empty_inbox} value='{lang_empty_inbox}' onclick="javascript:empty_inbox(anchor.value);"><br></div>
+                        <input type="text" name="mailquota_used" id="mailquota_used" value="{mailquota_used}" disabled size=10></div>
+                        <div id='display_empty_inbox' name='display_empty_inbox' style="display:none"><input type='button' {disabled} {disabled_empty_inbox} value='{lang_empty_inbox}' onclick="javascript:empty_inbox(anchor.value);"></div>
 							
 			{lang_is_account_active}: <input type="checkbox" id="accountStatus" name="accountStatus" checked><br>
@@ -39,10 +39,11 @@
 			<b>{lang_owners}:</b><br>
 			<select style="width:350px; height:170px" id="ea_select_owners" onchange="sharemailbox.getaclfromuser(this.value);" name="owners[]" multiple size="13"></select>
-                        <span style="position:absolute;top:250;left:410"><table><tbody><tr><td colspan="2"><b>{lang_Rights}:</b></td></tr>
+                        <span style="position:absolute;top:240;left:410"><table><tbody><tr><td colspan="2"><b>{lang_Rights}:</b></td></tr>
                         <tr><td>{lang_read}:</td><td><input id="em_input_readAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_others_users_will_can_read_your_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
                         <tr><td>{lang_exclusion}:</td><td><input id="em_input_deleteAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_others_users_will_can_delete/move_your_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
                         <tr><td>{lang_creation}:</td><td><input id="em_input_writeAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_others_users_will_can_create/add_your_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
-                        <tr><td>{lang_send}:</td><td><input disabled="disabled" id="em_input_sendAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_others_users_will_can_send_messages_as_you}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td>
+                        <tr><td>{lang_send}:</td><td><input disabled="disabled" id="em_input_sendAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_others_users_will_can_send_messages_as_you}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
                         <tr><td>{lang_save}:</td><td><input disabled="disabled" id="em_input_saveAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_other_users_will_save_the_sent_messages_as_you_in_this_mailbox}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
+                        <tr><td>{lang_folder}:</td><td><input id="em_input_folderAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_allow_create_or_delete_folders_on_this_mailbox}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
                         </span></tbody></table>
 		</td>